PHP5.2(5.3) на FreeBSD11.1

Правила форума
Убедительная просьба юзать теги [code] при оформлении листингов.
Сообщения не оформленные должным образом имеют все шансы быть незамеченными.

Ответить


Этот вопрос предназначен для предотвращения автоматической отправки форм спам-ботами.
Смайлики
:smile: :( ;-) :roll: :pardon: 8) :x :oops: :shock: :cz2: :-D :ROFL: :Yahoo!: :cry: :Search: :Bravo: :good: :bad: :sorry: :no: :unknown: :evil: :crazy: :"": :fool: :-o :drinks: :st: :bn:
Ещё смайлики…

BBCode ВКЛЮЧЁН
[img] ВКЛЮЧЁН
[flash] ОТКЛЮЧЕН
[url] ВКЛЮЧЁН
Смайлики ВКЛЮЧЕНЫ

Обзор темы
   

Если вы не хотите добавлять вложения, оставьте поля пустыми.

Развернуть Обзор темы: PHP5.2(5.3) на FreeBSD11.1

PHP5.2(5.3) на FreeBSD11.1

Сообщение ommm » 2017-09-01 20:01:05

тов. Духовитин прав .. на 5.6 должно запуститься. смотрите логи

PHP5.2(5.3) на FreeBSD11.1

Сообщение Духовитин » 2017-08-30 18:40:06

Ну на 5.6-ую ветку перевести думаю можно. Я когда по крайней мере свои проекты переводил на 7-ую, то просто включал логгирование php ошибок php в отдельный файл и смотрел где оно происходит. И выправлял все возникающие и Notice'ы и Error'ы. Но хотя 5.3 это совсем старо, но думаю что работа конечная да и себе скиллов добавишь.

PHP5.2(5.3) на FreeBSD11.1

Сообщение snorlov » 2017-08-30 10:10:29

Я в подобных случаях все в виртуалку сую...

PHP5.2(5.3) на FreeBSD11.1

Сообщение Alex Keda » 2017-08-29 23:04:50

FreeBSP писал(а):freshports намекают, что порт протоух в августе 14 года и удален в апреле 15. Я бы нашел релизный диск того времени, скачал бы с него дерево портов и развернул в клетке.

угу. тока клетку желательно той же версии.
иначе может не собраться.

да и со сборкой проблемы будут - многие файлы дистрибутивов будут недоступны, придётся искать, подкладывать
но, в общем-то, решаемо, да

PHP5.2(5.3) на FreeBSD11.1

Сообщение FreeBSP » 2017-08-28 12:00:09

freshports намекают, что порт протоух в августе 14 года и удален в апреле 15. Я бы нашел релизный диск того времени, скачал бы с него дерево портов и развернул в клетке.

PHP5.2(5.3) на FreeBSD11.1

Сообщение snorlov » 2017-08-19 22:27:08

ну наверное Compat(XX) для начала поставить...

PHP5.2(5.3) на FreeBSD11.1

Сообщение BlitzKrieg » 2017-08-19 18:05:51

Давно с пхп не возился, но помнится надо включить там показ ошибок (тогда они будут вываливаться в бравзере), а там по обстоятельствам. В свое время я какой-то движок менял под другую версию пхп, обычно все сводилось к задепрекейченым функциям, вместо которых использовались другие, какие-то возможно, даже не требовали ничего менять, кроме их названия.

PHP5.2(5.3) на FreeBSD11.1

Сообщение VladimirL » 2017-08-16 16:41:59

Доброго времени суток, ALL!!!

Может кто сталкивался с проблемой. :st:
Есть сайт на движке "eGenie" (именно так не DataLife Engine или еще как-то), написаном при динозаврах на php52/php53. Концов что это и как, обнаружзить не удалось. В php я знаю как установить, где что править в конфиге и немного (ну совсем немного) умею делать простые странички.
Признаюсь честно, надоел этот антиквариат, решил избавиться от хлама, но хотелось еще на какое-то время что-б сайт на eGenie покрутился.
На php70 и php71 он не запустился. На php56 кое как работает, но не все. Может кто знает как на FreeBSD 11 откатиться или запустить PHP 5.3 или в идиале как найти и подправить то, что не работает на php56. Если проще подправить, прошу ткнуть куда смотреть для починки антиквариата.

Вернуться к началу